--
connect &DBA/&DBAPASSWORD@&TNSALIAS
--
-- Delete the Triggers on XDB$RESOURCE and PACKAGES used by pre 11g Versions of the Demo
--
declare
  non_existant_trigger exception;
  PRAGMA EXCEPTION_INIT( non_existant_trigger , -4080 );
begin
--
  begin
    execute immediate 'drop trigger XDB.QUEUE_INSERT_EVENT';
  exception
    when non_existant_trigger then
      null;
  end;
--
end;
/
declare
  non_existant_trigger exception;
  PRAGMA EXCEPTION_INIT( non_existant_trigger , -4080 );
begin
--
  begin
    execute immediate 'drop trigger XDB.QUEUE_UPDATE_EVENT';
  exception
    when non_existant_trigger then
      null;
  end;
--
end;
/
declare
  non_existant_trigger exception;
  PRAGMA EXCEPTION_INIT( non_existant_trigger , -4080 );
begin
--
  begin
    execute immediate 'drop trigger XDB.QUEUE_DELETE_EVENT';
  exception
    when non_existant_trigger then
      null;
  end;
--
end;
/
declare
  non_existant_object exception;
  PRAGMA EXCEPTION_INIT( non_existant_object , -04043 );
begin
--
  begin
    execute immediate 'drop package XDB.IMAGE_PROCESSOR_PACKAGE';
  exception
    when non_existant_object then
      null;
  end;
--
end;
/
declare
  non_existant_object exception;
  PRAGMA EXCEPTION_INIT( non_existant_object , -04043 );
begin
--
  begin
    execute immediate 'drop package XDB.REPOSITORY_EVENT_MANAGER';
  exception
    when non_existant_object then
      null;
  end;
--
end;
/
--
declare
  non_existant_object exception;
  PRAGMA EXCEPTION_INIT( non_existant_object , -04043 );
begin
--
  begin
    execute immediate 'drop package XDB.XDB_REPOSITORY_EVENT_MANAGER';
  exception
    when non_existant_object then
      null;
  end;
--
end;
/
declare
  non_existant_object exception;
  PRAGMA EXCEPTION_INIT( non_existant_object , -04043 );
begin
--
  begin
    execute immediate 'drop package XDB.XDB_ASYNCHRONOUS_EVENTS';
  exception
    when non_existant_object then
      null;
  end;
--
end;
/
--
disconnect
--
